/*
 * Help text
 */

char *vbrowser_help_text =  

"Visual Suif Browser\n"
"-------------------\n"
"\n"
"Syntax: vbrowser [options] [suif file(s)]\n"
"\n"
"options:\n"
"       -help           Show a help message.\n"
"	-sync		Use synchronous mode for display server.\n"
"\n"
"Viewers\n"
"-------\n"
"\n"
"- Call Graph Viewer\n"
"\n"
"  Displays the call graph.\n"
"\n"
"- Source Viewer\n"
"\n"
"  This window displays the source file. The browser looks for the source\n"
"  file in the same directory where the suif file resides; the filename\n"
"  it looks for is the filename in the `line' annotation in the suif file.\n"
"\n"
"  The source lines are linked to the Suif codes in the Procedure\n"
"  window. When you select a Suif instruction in the Procedure window,\n"
"  the source window is updated to display the corresponding source line.\n"
"\n"
"  On the left side of the window is a annotation column. Currently,\n"
"  `doall' loops are annotated with `DA'.\n"
"\n"
"- Suif Viewer\n"
"\n"
"  This window displays the SUIF codes for the currently selected\n"
"  procedure.\n"
"\n"
"  The `Find' menu lets you find annotations, loops, etc.\n"
"  The `View' menu lets you filter off `mrk' instructions, expand\n"
"  or collapse the tree nodes, etc.\n"
"\n"
"- Output Viewer\n"
"\n"
"  This window displays s2c output of the current suif file.\n"
"  The file it looks for is `suif_file.out.c' where `suif_file' is the\n"
"  name of the Suif file. vbrowser doesn't call s2c to generate\n"
"  the C output.\n"
"\n"
"- Info Viewer\n"
"\n"
"  The info window shows information of the node you selected.\n"
"  It displays the annotations associated with the node, and other\n"
"  misc stuff.\n"
"\n"
"- Profile Viewer\n"
"\n"
"  This window displays profile information obtained from pixie.\n"
"  The suif file must contain specific profiling information\n"
"  (of annotations `if_feedback', `loop_feedback', ..). The\n"
"  profile information is obtained from profiling passes\n"
"  written by Todd Mowry.\n"
"\n"
"- Text Viewer\n"
"\n"
"  This is a generic text window to display any text file.\n"
"\n"
"\n"
"Editing Annotations\n"
"-------------------\n"
"To edit or remove an annote, select it, and invoke the menu command\n"
"in the Edit menu (in the Info Viewer or Suif Viewer).\n"
"\n"
"To add an annote, select the suif object first, and then invoke\n"
"the `Add Annote' in the Edit menu.\n"
"\n"
"\n"
"Saving the File Set\n"
"-------------------\n"
"When you save the file set, the Suif files are saved with postfix `.sbr'.\n"
"\n"
"\n"
"Problems/Bugs/Suggestions\n"
"-------------------------\n"
"Send any comments or bug reports to jlim@suif.stanford.edu\n"
;

